<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{admin.currentUsers.Title}"></title>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: logout_back_schedule_no_uuid">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">

            <form th:action="@{/current-users}" method="post" class="form" novalidate="novalidate" id="current-users-form">

                <h1 id="main-heading" class="heading-large">
                    <span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
                    <span class="heading-large" th:text="#{admin.accounts.header}" id="accounts-heading">Current users</span>
                </h1>

                <div class="form-group">
                    <fieldset>
                        <legend class="visuallyhidden" id="accounts-label" tabindex="-1" th:text="#{admin.accounts.header}">Current users</legend>
                        <div class="form-group">
                            <table>
                                <caption class="visually-hidden" th:text="#{admin.accounts.caption}">Names and emails</caption>
                                <thead>
                                <tr>
                                    <th scope="col" th:text="#{admin.accounts.name}">Name</th>
                                    <th scope="col" th:text="#{admin.accounts.email}">Email address</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="user,iter : ${users}" th:id="${'-row-'+iter.index}">
                                    <td scope="row" th:text="${user.name}">Name</td>
                                    <td th:text="${user.email}">Email </td>
                                    <!-- To add in later
                                    <td th:if="${!user.admin}"><a  id="changeLink" th:href="@{/}"> Change</a></td>
                                    -->
                                    <td th:if="${!user.admin}"><a  id="changeLink" th:href="@{/confirm-delete-user/}+${user.uuid}"> Delete</a></td>

                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </fieldset>
                </div>
                <div class="form-group" id="add-user-button">
                    <a id="button" class="button" th:text="#{admin.add.button}" th:href="@{'/create-standard-employer'}">Add</a>
                </div>

            </form>

        </div>
    </div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>